| Home | Libraries | People | FAQ | More

###### param::operator= (4 of 4 overloads)

Assignment.

###### Synopsis

    param&
    operator=(
        param_pct_view const& other);

###### Description

The members of `other` are copied, re-using already existing string capacity.

###### Postconditions

    this->key == other.key && this->value == other.value && this->has_value == other.has_value

###### Complexity

Linear in `other.key.size() + other.value.size()`.

###### Exception Safety

Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`other` | The parameter to copy.